The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

ea-apache24-config-runtime-1.0-5 error

Discussion in 'EasyApache' started by opentoe, Apr 27, 2016.

Tags:
  1. opentoe

    opentoe Active Member

    Joined:
    Feb 6, 2013
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Website Owner
    Well, stupid me upgraded to EA4. "Seemed" to all go ok. Doesn't look like anything went bad in the logs or anything. I also did a --reinstall, rebooted the VPS too. httpd doesn't run, so upgrading to EA4 did something. So I decided I'll run EA4 and provision a profile. When I tried to provision a profile I would get this error:

    Update Error: Error: Package: ea-apache24-config-runtime-1.0-55.14.noarch (EA4) Requires: perl-libwww-perl

    And it would only give me CANCEL. Is there a special package for this perl lib or something? I thought it was already installed but trying to install via yum indicates it is not available.
    yum install perl-libwww-perl
    comes back with No package perl-libwww.perl available.
     
  2. 24x7server

    24x7server Well-Known Member

    Joined:
    Apr 17, 2013
    Messages:
    1,146
    Likes Received:
    34
    Trophy Points:
    48
    Location:
    India
    cPanel Access Level:
    Root Administrator
    Hello :),

    Can you please give a try with the following command.

    Code:
    yum list perl-libwww-perl
    
    yum clean all
    
    yum install  perl-libwww-perl
     
  3. opentoe

    opentoe Active Member

    Joined:
    Feb 6, 2013
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Website Owner
    Same kind of response I always get. Not available. It also seems like installing EA4 it broke my webserver. Httpd doesn't run, PHP is gone, probably amongst other libs and programs. This VPS I'm using is really only for email, so getting back the web server isn't urgent. I'd like to figure out what the heck happened. Everytime I try to provision an EA4 profile with WHM it gives me that error and stops. If I try to FORCE an update of WHM itself with the same version that always stops at %89. When I run upcp from the command line it goes all the way through, so I'm not sure what direction to go in.
    Thanks



    Code:
    root@host [~]# yum list perl-libwww.perl
    Loaded plugins: fastestmirror, tsflags, universal-hooks
    Loading mirror speeds from cached hostfile
    * EA4: 216.38.56.98
    * base: mirrors.liquidweb.com
    * extras: mirror.cs.vt.edu
    * updates: mirrors.greenmountainaccess.net
    Error: No matching Packages to list
    root@host [~]#
    root@host [~]# yum clean all
    Loaded plugins: fastestmirror, tsflags, universal-hooks
    Cleaning repos: EA4 MariaDB100 base extras updates
    Cleaning up Everything
    Cleaning up list of fastest mirrors
    root@host [~]# yum install perl-libwww-perl
    Loaded plugins: fastestmirror, tsflags, universal-hooks
    Setting up Install Process
    Determining fastest mirrors
    * EA4: 216.38.56.98
    * base: mirror.atlanticmetro.net
    * extras: mirror.metrocast.net
    * updates: lug.mtu.edu
    EA4                                                                                                                            | 2.9 kB     00:00 ...
    EA4/primary_db                                                                                                                 | 2.2 MB     00:00
    MariaDB100                                                                                                                     | 2.9 kB     00:00
    MariaDB100/primary_db                                                                                                          |  21 kB     00:00
    base                                                                                                                           | 3.7 kB     00:00
    base/primary_db                                                                                                                | 3.6 MB     00:00
    extras                                                                                                                         | 3.4 kB     00:00
    extras/primary_db                                                                                                              |  30 kB     00:00
    updates                                                                                                                        | 3.4 kB     00:00
    updates/primary_db                                                                                                             | 4.4 MB     00:00
    No package perl-libwww-perl available.
    Error: Nothing to do
    root@host [~]#
    
     
    #3 opentoe, Apr 28, 2016
    Last edited: Apr 28, 2016
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,723
    Likes Received:
    660
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Could you open a support ticket using the link in my signature so we can take a closer look? You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
  5. opentoe

    opentoe Active Member

    Joined:
    Feb 6, 2013
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Website Owner
    Ticket created
    7532181

    Thanks
     
Loading...

Share This Page